<?php
/* Metodos de acceso a los campos de la tabla TR_Chofer redefinidos por el usuario */
class TR_ChoferBN extends BaseTR_ChoferBN
{
    const ESTADO_ACTIVO   = "A";
    const ESTADO_INACTIVO = "I";
    
    public static function getArrayEstados( $sEstado = null )
    {
        $a_sEstado = array
        (
                        self::ESTADO_ACTIVO   => "ACTIVO",
                        self::ESTADO_INACTIVO => "INACTIVO",
        );
        if( !is_null( $sEstado ) )
        {
            if( isset( $a_sEstado[$sEstado] ) )
            {
                return $a_sEstado[$sEstado];
            }
        }
        return $a_sEstado;
    }
    
    public function getEstadoDesc()
    {
        return TR_ChoferBN::getArrayEstados( $this->getEstado() );
    }
}
?>